double precision function qrat(x, alpha, beta, c1, c2)

  implicit none

  double precision, intent(in) :: x, alpha, beta, c1, c2

  qrat = (1.0d0 + x * (beta + c1 * x)) / ((1.0d0 + x * (beta + c2 * x)) * (1.0d0 + alpha * x)**2)

  return
end function qrat
